function [BEAN,BEAC]=MMSEBLASTPIC(r,H,SignalSet,Modulation,Sigma2,Input,BitMapping,iterate)
%%% V-Blast PIC Detector With ZF 
global NTx MRx qset
BEAC=zeros(1,iterate); % bit error after cancelation
G=MMSEInverse(H,Sigma2);
HH=H;
y=G*r;  %% MMSE Nulling
for ii=1:NTx
    a(ii)=Detector(y(ii),Modulation);  %% detection
end
BEAN=BECalculator(Input,a,BitMapping);%%% Calculat the Bit Errors

for it=1:iterate
    HH=H*SignalSet(a); % reconstruct interference
    for ii=1:NTx
        HC=HH-H(:,ii)*SignalSet(a(ii));
        z=H(:,ii)'*(r-HC);
        a(ii)=Detector(z,Modulation);  %% detection
    end
    BEAC(it)=BECalculator(Input,a,BitMapping);%%% Calculat the Bit Errors    
end

