function BE=MMSEBLASTOrder(r,H,SignalSet,Modulation,Sigma2,Input,BitMapping,SimType)

%%% V-Blast Detector With ZF without Ordering
global NTx MRx qset
G=MMSEInverse(H,Sigma2);
HH=H;
kk=TrackOrder(G);%% kk will have the decoding order of V-Blast
%k=MinNorm(G);
BE=0;
for ii=1:NTx
    k(ii)=MinNorm(G);
    w=G(k(ii),:);
    y=w*r;   %% Interfernce Nulling
    a(ii)=Detector(y,SignalSet,1);  %% detection
    BE=BE+BECalculator(Input(k(ii)),a(ii),BitMapping);%%% Calculat the Bit Errors
    switch SimType
    case 1
        if BE>0 
            BE=1; %FER
            return;
        end
    case 2
    end
    r=r-HH(:,k(ii))*SignalSet(a(ii)); %%Interfernece Cancellation
    HH(:,k(ii))=[];
    Input(k(ii))=[]; %% remove the kth symbol

    %HH(:,k)=zeros(MRx,1);
    G=MMSEInverse(HH,Sigma2);
end
%%% Correct the order of the detected symbols
%a=a(kk);