function BE=ZFBLASTOrder(r,H,SignalSet,Modulation,Input,BitMapping,SimType)
%%% V-Blast Detector With ZF without Ordering
global NTx MRx qset
G=ZFInvers(H);
HH=H;
%kk=TrackOrder(G);%% kk will have the decoding order of V-Blast
%k=MinNorm(G);
BE=0;
for ii=1:NTx
    k(ii)=MinNorm(G);
    w=G(k(ii),:);
    y=w*r;   %% Interfernce Nulling
    a(ii)=Detector(y,SignalSet,1);  %% detection
    BE=BE+BECalculator(Input(k(ii)),a(ii),BitMapping);%%% Calculat the Bit Errors
    switch SimType
    case 1
        if BE>0 
            BE=1;
            return;
        end
    case 2
    end
    r=r-HH(:,k(ii))*SignalSet(a(ii)); %%Interfernece Cancellation
    HH(:,k(ii))=[]; %% remove the kth culomn
    Input(k(ii))=[]; %% remove the kth symbol
    %HH(:,k)=zeros(MRx,1);
    G=ZFInvers(HH);
end
%%% Correct the order of the detected symbols
%a=a(kk);