function [SignalSet,BitMapping,S,Es,MType]=choosesignalset(scheme)
%% this function is to select a signal set based on scheme
switch scheme
%case 'BPSK'
case 1
SignalSet=[1;-1];  %BPSK Signal Set
BitMapping=[0;1];
MType='real';
Es=1;  
S=0;%% not useful
%case 'QPSK'
case 2
   SignalSet=[real(exp(i*pi/4))+real(exp(i*pi/4))*i;-real(exp(i*pi/4))+real(exp(i*pi/4))*i;-real(exp(i*pi/4))-real(exp(i*pi/4))*i;real(exp(i*pi/4))-real(exp(i*pi/4))*i];
   BitMapping=[0,0;0,1;1,1;1,0];
   S=[-real(exp(i*pi/4)) real(exp(i*pi/4))];
   Es=1;
   MType='complex';
%case '8PSK'
case 3
  SignalSet=[1;real(exp(i*pi/4))+real(exp(i*pi/4))*i;i;-real(exp(i*pi/4))+real(exp(i*pi/4))*i;-1;-real(exp(i*pi/4))-real(exp(i*pi/4))*i;-i;real(exp(i*pi/4))-real(exp(i*pi/4))*i];
  BitMapping=[0 0 0;0 0 1;0 1 1;0 1 0;1 1 0;1 1 1;1 0 1;1 0 0]; %% Gray Mapping 
   S8=[-1 -real(exp(i*pi/4)) 0.0 real(exp(i*pi/4)) 1];
   Es=1;
%case '_16QAM'
case 4
   SignalSet=[3+3*i;1+3*i;-1+3*i;-3+3*i;3+1*i;1+1*i;-1+1*i;-3+1*i;...
         3-1*i;1-1*i;-1-1*i;-3-1*i;3-3*i;1-3*i;-1-3*i;-3-3*i]; %% for 16QAM
   BitMapping=[1 1 1 1;1 0 1 1;0 0 1 1;0 1 1 1;1 1 1 0;1 0 1 0;0 0 1 0;0 1 1 0;...
         1 1 0 0;1 0 0 0;0 0 0 0;0 1 0 0;1 1 0 1;1 0 0 1;0 0 0 1;0 1 0 1]; %% Gray Mapping
   S=[-3 -1 1 3];
   Es=10;
   MType='complex';
%case '_64QAM'
case 5
   SignalSet=[7+7*i;5+7*i;3+7*i;1+7*i;-1+7*i;-3+7*i;-5+7*i;-7+7*i;7+5*i;5+5*i;3+5*i;1+5*i;-1+5*i;-3+5*i;-5+5*i;-7+5*i;...
         7+3*i;5+3*i;3+3*i;1+3*i;-1+3*i;-3+3*i;-5+3*i;-7+3*i;7+1*i;5+1*i;3+1*i;1+1*i;-1+1*i;-3+1*i;-5+1*i;-7+1*i;...
         7-1*i;5-1*i;3-1*i;1-1*i;-1-1*i;-3-1*i;-5-1*i;-7-1*i;7-3*i;5-3*i;3-3*i;1-3*i;-1-3*i;-3-3*i;-5-3*i;-7-3*i;...
      7-5*i;5-5*i;3-5*i;1-5*i;-1-5*i;-3-5*i;-5-5*i;-7-5*i;7-7*i;5-7*i;3-7*i;1-7*i;-1-7*i;-3-7*i;-5-7*i;-7-7*i]; %% for 64QAM
   %BitMapping=%incomplete 
   S=[-7 -5 -3 -1 1 3 5 7];
   Es=42;
   MType='complex';
 %case '256QAM'
 case 6
    xx=[15:-2:-15];
     for ii=1:16
	for jj=1:16
	SignalSet(jj+(ii-1)*16,1)=xx(jj)+i*xx(ii);
	end
	end
    %BitMapping=%incomplete
   S=xx;
   Es=170;
   MType='complex';
        
end

   